Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.ata
Class DiskImage

    java.lang.Object
      dioscuri.module.ata.DiskImage

    public class DiskImage

extends java.lang.Object

A class holding a IDE disk image.

Field Summary
`protected java.io.File` | `imageFile`

Constructor Summary
`DiskImage()` Class constructor without disk image file.
`DiskImage(java.io.File theImageFile)` Class constructor with disk image file.

Method Summary
`protected long` | `getSize()` Gets the size of the disk image in bytes.
`byte[]` | `readFromImage(byte[] theData, int theOffset, int theLength)` Read data from image.
`void` | `writeToImage(byte[] theData, int theOffset, int theLength)` Write to image.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### imageFile

    protected java.io.File imageFile

Constructor Detail

### DiskImage

    public DiskImage()

  Class constructor without disk image file.

### DiskImage

    public DiskImage(java.io.File theImageFile)
              throws java.io.IOException

  Class constructor with disk image file.

  Parameters:
    `theImageFile` -
  Throws:
    `java.io.IOException`

Method Detail

### readFromImage

    public byte[] readFromImage(byte[] theData,
                                int theOffset,
                                int theLength)
                         throws java.io.IOException

  Read data from image.

  Parameters:
    `theData` -
    `theOffset` -
    `theLength` -
  Returns:
    the data
  Throws:
    `java.io.IOException`

### writeToImage

    public void writeToImage(byte[] theData,
                             int theOffset,
                             int theLength)
                      throws java.io.IOException

  Write to image.

  Parameters:
    `theData` -
    `theOffset` -
    `theLength` -
  Throws:
    `java.io.IOException`

### getSize

    protected long getSize()

  Gets the size of the disk image in bytes.

  Returns:
    the size of the disk image in bytes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD